BASENC(1)

NOM
basenc - Encoder ou décoder des données et les afficher sur la sortie standard

SYNOPSIS
basenc [OPTION]... [FICHIER]

DESCRIPTION

baseNC encode ou décode le FICHIER ou l'entrée standard, et les affiche sur la sortie standard.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--base64
    semblable au programme « base64 » (RFC 4648 section 4)

--base64url
    base64 compatible avec les noms de fichiers et les URL (RFC 4648 section 5)

--base32
    semblable au programme « base32 » (RFC 4648 section 6)

--base32hex
    base32 avec alphabet hexadécimal étendu (RFC 4648 section 7)

--base16
    encodage hexadécimal (RFC 4648 section 8)

--base2msbf
    chaîne de bits avec le bit de poids fort (msb) en premier

--base2lsbf
    chaîne de bits avec le bit de poids faible (lsb) en premier

-d, --decode
    décoder les données

-i, --ignore-garbage
    ignorer les caractères non alphabétiques lors du décodage

-w, --wrap=COLONNES
    ajuster la longueur des lignes encodées à COLONNES caractères (76 par défaut). Utilisez 0 pour désactiver l'ajustement automatique des lignes.

--z85
    encodage de type ascii85 (spécification :32/Z85 de ZeroMQ) ; lors de l'encodage, la longueur d'entrée doit être un multiple de 4 et lors du décodage un multiple de 5

--help
    Afficher l'aide-mémoire et quitter.

--version
    Afficher les informations de version et quitter.

Lors du décodage, l'entrée peut contenir des changements de ligne en plus des octets de l'alphabet strict. Utilisez --ignore-garbage pour essayer de ne pas être gêné par les autres octets non alphabétiques du flux encodé.

EXEMPLES D'ENCODAGE

    $ printf '\376\117\202' | basenc --base64
    /k+C

    $ printf '\376\117\202' | basenc --base64url
    _k-C

    $ printf '\376\117\202' | basenc --base32
    7ZHYE===

    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===

    $ printf '\376\117\202' | basenc --base16
    FE4F82

    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001

    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010

    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

AUTEUR
Écrit par Simon Josefsson et Assaf Gordon.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/basenc>
aussi disponible localement à l’aide de la commande : info '(coreutils) basenc invocation'

Empaqueté par Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Delacour <guillaume.delacour@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Jean-Marc Chaton <chaton@debian.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Franck Bassi <fblinux@wanadoo.fr>, Valéry Perrin <valery.perrin.debian@free.fr>, Guilhelm Panaget <guilhelm.panaget@free.fr>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Luc Froidefond <luc.froidefond@free.fr>, Steve Petruzzello <dlist@bluewin.ch>, Julien Rosal <albator.deb@gmail.com>, Grégory Colpart <reg@evolix.fr>, Cédric Lucantis <omer@no-log.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.